
#include	"sysdef.h"

/*	TED's control C trapping please		*/
/*						*/
/*	16-Nov-84  13:50:52  Brian Nelson	*/

#include	<signal>

static int cctyped = 0 ;


testcc()
{
	register int temp ;
	temp = cctyped ;
	cctyped = 0 ;
	return(temp) ;
}

setcc()
{
	int cctrap() ;

	cctyped = 0 ;
	signal(SIGINT,cctrap) ;
}

static cctrap()
{
	int cctrap() ;

	cctyped++ ;
	signal(SIGINT,cctrap) ;
}

